<?php
$displayData = [
	'icd_1' => [
		'title' => 'ICD 1',
		'reason' => $record->rm_reason_icd1,
		'description' => $record->rm_reason_icd1description
	],
	'icd_2' => [
		'title' => 'ICD 2',
		'reason' => $record->rm_reason_icd2,
		'description' => $record->rm_reason_icd2description
	],
	'icd_3' => [
		'title' => 'ICD 3',
		'reason' => $record->rm_reason_icd3,
		'description' => $record->rm_reason_icd3description
	],
	'icd_4' => [
		'title' => 'ICD 4',
		'reason' => $record->rm_reason_icd4,
		'description' => $record->rm_reason_icd4description
	],
];
?>
<div>
	<div class="d-flex flex-wrap">
		<?php $emptyICDs = true; ?>
		@foreach($displayData as $rmKey=>$rmData)
			<?php
			$emptyICD = true;
			if (!empty($rmData['reason']) || !empty($rmData['description'])) {
				$emptyICDs = false;
				$emptyICD = false;
			}
			?>
			@if(!$emptyICD)
				<span class="badge badge-info px-2 mb-1 mr-2">{{$rmData['reason']}} @if(!empty($rmData['description']))({{ $rmData['description'] }})@endif</span>
			@endif
		@endforeach
		@if($emptyICDs)
			@if($patient->is_enrolled_in_rm)
			<div class="d-flex">
				<div class="alert alert-danger p-1 mb-0">
					Patient is enrolled and is missing RM reason(s).
				</div>
			</div>
			@else
			<small class="text-dark">-</small>
			@endif
		@endif
	</div>

	@if($record->rm_reason_memo)
	<div class="d-flex">
			<span class="text-secondary mr-2"><b>Memo:</b></span>
			<small class="">{{ $record->rm_reason_memo }}</small>
	</div>
	@endif
</div>
